//importing d3 features
import { select, 
        json,
        csv,
        tsv, 
        geoPath,
        geoMercator,
        scaleOrdinal,
        schemeCategory10,
        zoom,
        event } from 'd3';
//importing topojson 
import { feature } from 'topojson';
//retriving svg width and height
const svg = select('svg');
const width = parseFloat(svg.attr('width'));
const height = +svg.attr('height');

const projection = geoMercator()
			.clipExtent([[0,0],[width,height]])
			.center([140, 30])
			.scale(700);

const pathGenerator = geoPath()
		.projection(projection);

const g = svg.append('g');

svg.call(zoom().on('zoom', () => {
	g.attr('transform', event.transform)
}));
//loading json data
Promise.all([json('https://gist.githubusercontent.com/venkatajayanth03/7071daa523b985baa3c3daa3574adbc1/raw/1b64b671fb5609ee6fd8ea96e52164dd8c1eae1a/jayanth.json'),
            ]).then(([stateJSON]) => {
  const stateGroup = g.append('g');	
  const states = feature(stateJSON, stateJSON.objects.JPN_adm1);
  const colorScale = scaleOrdinal(schemeCategory10);
  const statePath = stateGroup.selectAll('path')
    .data(states.features)
  statePath.enter().append('path')
    .attr('class', 'states')
    .attr('d', d => pathGenerator(d))
});
      